| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csShaderVariableFrameHolder Class Reference

Helper class to obtain a shader variable that was guaranteedly not used in a frame yet. More...

`#include <csgfx/shadervarframeholder.h>`

List of all members.

## Public Member Functions
csRef< csShaderVariable > | GetFrameUniqueSV (uint framenr, csStringID name)
| Allocate a shader variable that was not used this frame.

## Detailed Description

Helper class to obtain a shader variable that was guaranteedly not used in a frame yet.

See also:
  csFrameDataHolder

Definition at line 38 of file shadervarframeholder.h.

## Member Function Documentation

csRef<csShaderVariable> csShaderVariableFrameHolder::GetFrameUniqueSV | ( | uint | framenr,
|  | csStringID | name |
| ) |  |  |

Allocate a shader variable that was not used this frame.

Parameters:

  | framenr | Number of the current frame; used to track used and unused variable.
  | name | Name of the variable

Remarks:
  It's adviseable to really only use the returned variable for a single frame.

The documentation for this class was generated from the following file:

- csgfx/shadervarframeholder.h